Skip to navigation

Replace All Tags on a Schema

View as Markdown

Replaces all existing Tag Associations of a Schema with the Tag Associations you specify in the request body. Any Tags currently associated with the schema are disassociated from the schema.

Important:

  1. Do not use this endpoint on schema that does not have Tag Associations.

  2. Each time you submit a request to this endpoint, the backend reindexes the Tags. So, pack as many Tag Associations as you can into one request. As a result, the number of calls to this endpoint go down, which reduces the overhead on the backend.

You must have write access to a library to associate Tags with schema in that library. For more information see Control Access </en/docs/schema/v3/developers_guide/basics/access/>_ under API Basics.

  1. This is a batch API. Curret limit for this API is 10 resourceIds.

  2. Maximum 300 tags are allowed in a single resourceId and maximum 3 tagCollections can be accommodated in single resourceId, thus allowing total 3000 tags in single request with maximum 10 resourceIds

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

RegionenumOptionalDefaults to US

The Autodesk Schema Registry currently supports in the US and EMEA regions. This header specifies where your data is stored. Possible Values:

  • US - (Default) All requests without a specified region header will be directed to the US region.
  • EMEA - Data center for the European Union, Middle East, and Africa. To access the EMEA region specifically, include the header “region: EMEA” in your API requests.
Allowed values:

Request

This endpoint expects an object.
resourceIdstringRequired>=1 character
The ID of the schema you want to associate with Tags.
tagslist of objectsRequired
An array containing information about the Tags to be associated with the schema. It also contains information about the Tag Collections that the Tags belong to.

Response

Multiple operations have been attempted and a single response code is not able to convey the results of all operations. Check the response body for failures, if any.

Every successful association contains a system-generated id attribute for the association that was created. Failed associations contain an errors object.

createTimestringOptional>=1 character
A TimeISO 8601 Timestamp in UTC Timezone indicating when the association was created.
createdBystringOptional>=1 character

If a three-legged access token was used to create the association, contains the Autodesk ID (Oxygen ID) of the person who associated the Tag to the schema. If a two-legged access token was used to create the category, contains the Client ID of the app that associated it.

errorslist of objectsOptional
An object containing the details of any errors that occured while creating the association.
lastModifiedBystringOptional>=1 character

If a three-legged access token was used to modify the association, contains the Autodesk ID (Oxygen ID) of the person who associated the Tag to the schema. If a two-legged access token was used to create the category, contains the Client ID of the app that associated it.

lastModifiedTimestringOptional>=1 character
A TimeISO 8601 Timestamp in UTC Timezone indicating when the category was last modified.
resourceIdstringOptional>=1 character
he ID of the schema associated with Tags.
tagslist of objectsOptional
An array containing the Tags the schema is associated with.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error